const path = require('path');
const resolve = require('resolve');

module.exports = function(id, options) {
    const { basedir, extensions, moduleDirectory, paths, rootDir } = options;
    const srcPath = path.join(rootDir || basedir, 'src');

    if (id.startsWith('src/')) {
        id = path.join(srcPath, id.substr(4));
    }

    const resolveOpts = {
        basedir,
        extensions,
        moduleDirectory,
        paths,
    };

    try {
        // Attempt regular index.js first
        return resolve.sync(id, resolveOpts)
    } catch (e) {
        const parsed = path.parse(id);
        const directoryNamedId = id + path.sep + parsed.name;
        return resolve.sync(directoryNamedId, resolveOpts);
    }
};
